---
  - name: Install and configure tomcat
    hosts: centos@13.127.225.85
    become: true
    become_method: sudo
    become_user: root
    tasks:
      - name: update repos
        yum:
          name: "*"
          state: latest
      - name: Installing java
        yum:
          name: java-1.8.0-openjdk
          state: present
      - name: Downloading required tomcat
        get_url:
            url: https://downloads.apache.org/tomcat/tomcat-8/v8.5.53/bin/apache-tomcat-8.5.53.tar.gz
            dest: /opt
      - name: Extracting downloaded tomcat
        unarchive:
           src: "/opt/apache-tomcat-8.5.53.tar.gz"
           dest: /opt
           remote_src: yes
      - name: deploy war file
        copy:
           src: /var/lib/jenkins/workspace/dev_master/target/BalajiApp.war
           dest: /opt/apache-tomcat-8.5.53/webapps

      - name: Starting tomcat
        shell: nohup  /opt/apache-tomcat-8.5.53/bin/startup.sh &
